------------------------------------------------------------------------------------
--Name:  	ValentineDay1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-01-21
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(134, 138)
local Player_1 = CppScriptMgr:AddSimplePlayer(1061797, 134, 138, "Princess Odette", 0, 0)
Player_1:SetZoomPercent(150)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Beautiful Swan Lake, when will my true soulmate appear?", 2500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(3500)
local Effect_2 = CppScriptMgr:AddEffect("nag_bom_ass", 134, 138, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("pro_tir_assflo_coat01", 134, 138, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(460)
Player_1:SetAction(483)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:WaitMilSec(700)
local effect_0 = CppScriptMgr:AddEffect("nag_bom_ass", 124, 140, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1310)
Player_1:Say("Who dares to invade Swan Lake!", 1500)
CppScriptMgr:WaitMilSec(60)
local effect_1 = CppScriptMgr:AddEffect("nag_bom_ass", 135, 148, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1440)
CppScriptMgr:NpcCallOut("Such pure energy! Love it!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "MysteryMan", 250, 655, false)
CppScriptMgr:WaitMilSec(1950)
Player_1:SetAction(230)
CppScriptMgr:WaitMilSec(90)
Player_1:Say("Stop! Don`t defile the pure Swan Lake!", 1500)
CppScriptMgr:WaitMilSec(1450)
Player_1:AddEffect("attach_continuance05", 33)
CppScriptMgr:WaitMilSec(80)
CppScriptMgr:NpcCallOut("So annoying!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "MysteryMan", 250, 655, false)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("I curse you: you will forever be a black swan unless you find true love!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "MysteryMan", 250, 655, false)
CppScriptMgr:WaitMilSec(1890)
CppScriptMgr:ShakeScrEffect(1)
local Effect_4 = CppScriptMgr:AddEffect("cyclonexian", 134, 138, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(270)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(960)